package com.plannaplan.responses.mappers;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

import com.plannaplan.entities.User;
import com.plannaplan.responses.models.UserResponse;

/**
 * Mappers for Users to api responses
 */
public class UserResponseMappers {
    /**
     * @param groups list of groups to be mapped
     * @return list of api responses
     */
    public static List<UserResponse> mapToDefaultResponse(List<User> groups) {
        return groups.stream().filter(Objects::nonNull).map(UserResponse::new).collect(Collectors.toList());
    }
}
