package com.plannaplan.security.cas;

/**
 * We can authorize in different contexts. For example if we rgister our domain
 * we will get more info than on localhost. This abstraction let's us handle
 * both cases based on spring profile
 */
public interface CasValidator {

    /**
     * validate ticket (should be provided in costructor or by setter)
     * 
     * @return CasUserIdentity instance with values from response or null if
     *         validation failed
     */
    CasUserIdentity validate();
}
